Retrive

Purpose of listing documents

🚧

Attention point:

To consume the route, it's necessary to pass the client's code as a parameter.

Response

Http CodeReturn CodeMessage
200200-01Success.
400400-01Something unexpected happened.
400400-52Customer was not found.
400400-80Document not found
401401-05Unauthorized or token invalid
406406-01User was not found.
406406-03Field 'X' is mandatory and was not informed.

Response Parameters

ParametersFormatDescription
request_codeStringUnique identifier for the request.
returnBooleanIndicates if the request was successful or not.
return_codeStringCode representing the status of the request.
messageStringMessage describing the result of the request.
dataArrayList of retrieved documents.
data.codeStringUnique identifier for the document.
data.typeStringType of the document.
data.descriptionStringDescription of the document.
data.created_atDateTimeDate and time when the document was created.

Request Parameters

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!